org.bdgenomics.adam.rdd.variation

# GenotypesSummaryCounts

#### case class GenotypesSummaryCounts(genotypesCounts: GenotypeAlleleCounts, singleNucleotideVariantCounts: VariantCounts, multipleNucleotideVariantCount: Long, insertionCount: Long, deletionCount: Long, readCount: Option[Long], phasedCount: Long) extends Product with Serializable

Simple counts of various properties across a set of genotypes.

Note: for counts of variants, both homozygous and heterozygous count as 1 (i.e. homozygous alternate is NOT counted as 2). This seems to be the most common convention.

genotypesCounts

  Counts of genotypes: map from list of GenotypeAllele (of size ploidy) -> count

singleNucleotideVariantCounts

  Map from ReferenceAndAlternate -> count where ReferenceAndAlternate is a single base variant.

multipleNucleotideVariantCount

  Count of multiple nucleotide variants (e.g.: AA -> TG)

insertionCount

  Count of insertions

deletionCount

  Count of deletions

readCount

  Sum of read depths for all genotypes with a called variant

phasedCount

  Number of genotypes with phasing information

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenotypesSummaryCounts
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new GenotypesSummaryCounts(genotypesCounts: GenotypeAlleleCounts, singleNucleotideVariantCounts: VariantCounts, multipleNucleotideVariantCount: Long, insertionCount: Long, deletionCount: Long, readCount: Option[Long], phasedCount: Long)

   genotypesCounts

     Counts of genotypes: map from list of GenotypeAllele (of size ploidy) -> count

   singleNucleotideVariantCounts

     Map from ReferenceAndAlternate -> count where ReferenceAndAlternate is a single base variant.

   multipleNucleotideVariantCount

     Count of multiple nucleotide variants (e.g.: AA -> TG)

   insertionCount

     Count of insertions

   deletionCount

     Count of deletions

   readCount

     Sum of read depths for all genotypes with a called variant

   phasedCount

     Number of genotypes with phasing information

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### lazy val averageReadDepthAtVariants: Option[Double]

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def combine(that: GenotypesSummaryCounts): GenotypesSummaryCounts

10. #### val deletionCount: Long

    Count of deletions

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### lazy val genotypesCount: Long

14. #### val genotypesCounts: GenotypeAlleleCounts

    Counts of genotypes: map from list of GenotypeAllele (of size ploidy) -> count

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### val insertionCount: Long

    Count of insertions

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### val multipleNucleotideVariantCount: Long

    Count of multiple nucleotide variants (e.

    Count of multiple nucleotide variants (e.g.: AA -> TG)

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### lazy val noCallCount: Long

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### val phasedCount: Long

    Number of genotypes with phasing information

24. #### val readCount: Option[Long]

    Sum of read depths for all genotypes with a called variant

25. #### lazy val singleNucleotideVariantCount: Long

26. #### val singleNucleotideVariantCounts: VariantCounts

    Map from ReferenceAndAlternate -> count where ReferenceAndAlternate is a single base variant.

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### lazy val transitionCount: Long

29. #### lazy val transversionCount: Long

30. #### lazy val variantGenotypesCount: Long

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### lazy val withDefaultZeroCounts: GenotypesSummaryCounts

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped